Skip to main content

Submit your user feedback

POST/v2/users/self/feedback
API version
v2
Request method
POST
Operation ID
user-create-feedback

Request​

Responses​

Format
application/json
Description

Feedback successfully submitted.

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Usage examples​

    $ curl \
    --fail \
    --location \
    -X POST \
    -d '{"message":"string","origin":"https://studio.mittwald.de/app/dashboard","subject":"string","type":"feedback","vote":123}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v2/users/self/feedback
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.user.createFeedback({
    "data": {
    "message": "string",
    "origin": "https://studio.mittwald.de/app/dashboard",
    "subject": "string",
    "type": "feedback",
    "vote": 123
    }
    });

    assertStatus(response, 201);

    use \Mittwald\ApiClient\Generated\V2\Clients\User\CreateFeedback\CreateFeedbackRequest;
    use \Mittwald\ApiClient\Generated\V2\Clients\User\CreateFeedback\CreateFeedbackRequestBody;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    // TODO: Please consult the properties and constructor signature of
    // CreateFeedbackRequestBody to learn how to construct a valid instance
    $body = new CreateFeedbackRequestBody(/* TODO: ... */);

    $request = (new CreateFeedbackRequest(
    body: $body
    ));
    $response = $client->user()->createFeedback($request);

    var_dump($response->getBody();

    On this page